---
lang: en
title: 'API docs: context.bindingtype'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingtype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingType](./context.bindingtype.md)

## BindingType enum

Type of the binding source

**Signature:**

```typescript
export declare enum BindingType 
```

## Enumeration Members

<table><thead><tr><th>

Member


</th><th>

Value


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

ALIAS


</td><td>

`"Alias"`


</td><td>

A alias to another binding key with optional path


</td></tr>
<tr><td>

CLASS


</td><td>

`"Class"`


</td><td>

A class to be instantiated as the value


</td></tr>
<tr><td>

CONSTANT


</td><td>

`"Constant"`


</td><td>

A fixed value


</td></tr>
<tr><td>

DYNAMIC\_VALUE


</td><td>

`"DynamicValue"`


</td><td>

A function to get the value


</td></tr>
<tr><td>

PROVIDER


</td><td>

`"Provider"`


</td><td>

A provider class with `value()` function to get the value


</td></tr>
</tbody></table>


